//
//  ArKitViewRepresentable.swift
//  ArkitDoushiQi
//
//  Created by Enzo JOLYS on 12/06/2024.
//

import Foundation
import SwiftUI
import DouShouQiModel

struct ArKitViewRepresentable : UIViewRepresentable {
    
    private let game:Game
    
    init(_ game: Game){
        self.game = game
    }
    
    func makeUIView(context: Context) -> ArKitView {
        return ArKitView(self.game)
    }
    
    func updateUIView(_ uiView: UIViewType, context: Context) { }
}
